{
  cooldown: 0.0,
  areas: [
    {
      name: "ANYWHERE",
      rect: { x: 0, y: 0, w: 100, h: 100 },
      isEnterable: 1
    },
    {
      name: "TITLE",
      rect: { x: 5, y: 5, w: 90, h: 10 },
      activeAreaColor: "",
      areaColor: "",
      model: "CHOOSE ONE-SWITCH OR ONE-KEY",
      material: "0xd5d5d5ff, 4, PICK-TITLE, 4",
      isEnterable: 0
    },
    {
      name: "INFO",
      rect: { x: 15, y: 24, w: 70, h: 28 },
      areaColor: "0x333333ff",
      model: "Select ONE-SWITCH or ONE-KEY input.\nONE-SWITCH use both PRESS and RELEASE for input.\nONE-KEY uses just PRESS for input.",
      material: "0xd5d5d5ff, 2, PICK-TEXT",
      isEnterable: 0
    },
    {
      name: "ONESWITCH",
      rect: { x: 3, y: 55, w: 46, h: 40 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "Use ONE-SWITCH single keypress/release for input",
      activeModel: "Use ONE-SWITCH single keypress/release for input",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      activeMaterial: "0xd0c000ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "ONEKEY",
      rect: { x: 53, y: 55, w: 46, h: 40 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "Use ONEY-KEY single keypress for input",
      activeModel: "Use ONEY-KEY single keypress for input",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      activeMaterial: "0xd0c000ff, 3, PICK-TEXT",
      isEnterable: 1
    }
  ],
  switches: [
    // After 1sec delay move to ONESWITCH
    {
      areas:    [ "ANYWHERE" ],
      triggers: [ { triggerType: DWELL } ],
      delays:   { press: 1000 },
      actions:  { press: [ { id: "GOTO_AREA", info: "ONESWITCH" } ] }
    },
    // Every 5 seconds switch between ONESWITCH and ONEKEY
    {
      areas:    [ "ONESWITCH" ],
      triggers: [ { triggerType: DWELL } ],
      delays:   { press: 5000 },
      actions:  { press: [ { id: "GOTO_AREA", info: "ONEKEY" } ] }
    },
    {
      areas:    [ "ONEKEY" ],
      triggers: [ { triggerType: DWELL } ],
      delays:   { press: 5000 },
      actions:  { press: [ { id: "GOTO_AREA", info: "ONESWITCH" } ] }
    },
    // Select ONESWITCH/ONEKEY
    {
      areas: [ "ONESWITCH", "ONEKEY" ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: MOUSE, mouseButton: LMB },
        { triggerType: JPAD,  jpadFlag:    B1 }
      ],
      delays: { press: 3000 },
      actions: { press:       [ { id: "LOGIC_RETURN", info: "[AREA_NAME]" } ] },
      timeColors: { TUP: 0x333333ff }
    },
  ]
}
